Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464931 - Review Request: appliance-os recipe for building the appliance operating system
Summary: Review Request: appliance-os recipe for building the appliance operating system
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://thincrust.org
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-10-01 14:33 UTC by David Huff
Modified: 2013-02-19 10:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 10:59:14 UTC


Attachments (Terms of Use)

Description David Huff 2008-10-01 14:33:09 UTC
Spec URL: http://huff.fedorapeople.org/appliance-os.spec
SRPM URL: https://koji.fedoraproject.org/koji/getfile?taskID=850473&name=appliance-os-001-3.fc9.src.rpm

Description: 
Appliance Operating System (AOS) is minimal version of Fedora or RHEL which additional software can be added.  The AOS is described by a kickstart file which is provided by this package.

Comment 1 Patrice Dumas 2008-10-01 14:46:29 UTC
This doesn't looks like a package, but rather a spin.

Comment 2 Patrice Dumas 2008-10-01 14:47:16 UTC
Well, in fact it was a question, so
This doesn't looks like a package, but rather a spin?

Comment 3 David Huff 2008-10-01 15:11:46 UTC
So we have requested a spin for this, however we are also following the livecd-tools model of separating  the kickstart files form the tools, in a separate package as well.

Comment 4 Bill Nottingham 2008-10-01 15:52:06 UTC
We have our spin kickstart files in the spins-kickstart module - is there a reason it needs a separate one?

Comment 5 Alan Pevec 2008-10-07 17:39:38 UTC
Where is spins-kickstart RPM?
http://cvs.fedoraproject.org/viewvc//rpms/spins-kickstart/ gives 404

Comment 6 Alan Pevec 2008-10-07 17:43:28 UTC
Got it, it's http://cvs.fedoraproject.org/viewvc/rpms/spin-kickstarts/

Comment 7 Alan Pevec 2008-10-07 19:33:36 UTC
Still, spin-kickstarts is empty, it's not imported and built yet, any ETA?

Comment 9 Alan Pevec 2009-02-19 10:47:41 UTC
spin-kickstarts is missing reusable kickstart includes:
 /usr/share/appliance-os/includes/base-pkgs.ks
 /usr/share/appliance-os/includes/base-post.ks
 /usr/share/appliance-os/includes/repo-rhel5.ks
 /usr/share/appliance-os/includes/rhel5-pkgs.ks

David, could you propose a patch to spin-kickstarts to include those?
Thanks!

Comment 10 Michael Schwendt 2011-03-01 18:06:46 UTC
Resetting fedora-review flag (as the wrong setting leads to a wrong result in the Cached Bugzilla Review Tracker).
http://fedoraproject.org/wiki/Package_Review_Process#Contributor

Comment 11 Jason Tibbitts 2011-03-09 14:06:56 UTC
There does not seem to be an actual package to review here.  I've no idea what to do with this ticket, but I'm going to mark it so that it does not clutter up the already cluttered package review queue.

Comment 12 Miroslav Suchý 2012-12-16 13:00:43 UTC
Ping? Any progress here? Or we can close this review?

Comment 13 Miroslav Suchý 2013-02-19 10:59:14 UTC
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue with this review, please reopen or
submit new review.


Note You need to log in before you can comment on or make changes to this bug.